import { Link } from "@/shared/config/navigation";
import { Title } from "@/shared/ui";
import React from "react";

interface Props {
  id: number;
  id_of_card: string;
  data_rk: string;
  name_of_organization: string;
  type_of_buy: string;
  name_of_buy: string;
  date_of_publication_datetime: string;
  date_of_offer_datetime: string;
  current_timestamp: string;
  plan_summ: string;
}
const TenderCard: React.FC<Props> = ({
  id,
  id_of_card,
  data_rk,
  name_of_organization,
  type_of_buy,
  name_of_buy,
  date_of_publication_datetime,
  date_of_offer_datetime,
  current_timestamp,
  plan_summ,
}: Props) => {
  console.log(plan_summ);
  return (
    <div className="w-full min-h-[213px] bg-white shadow-sm rounded-sm flex gap-[82px] items-center p-6">
      <div className="w-[840px] flex flex-col">
        <Title
          text={`№ ${id_of_card}`}
          className="font-bold text-[24px] mb-[48px]"
        />
        <Link
          href={{ pathname: `/tenders/${id}`, query: { тендер: name_of_buy } }}
        >
          <h2 className="mb-6 text-[18px] font-semibold leading-6 text-blue">
            {name_of_buy}
          </h2>
        </Link>
        <h2 className="text-[18px] leading-6 font-normal ">
          {name_of_organization}
        </h2>
      </div>
      <div className="w-[285px]">
        <p className="text-[14px] leading-6">Планируемая сумма</p>
        <Title text={plan_summ} />
      </div>
    </div>
  );
};

export default TenderCard;
